%global packname  Rsolid

Name:		  R-%{packname}
Version:	  0.9.31
Release:	  2%{?dist}
Summary:	  Quantile normalization and base calling for second generation sequencing data

Group:		  Applications/Engineering 
License:	  Artistic 2.0
URL:		  http://rafalab.jhsph.edu/Rsolid/
Source0:	  http://rafalab.jhsph.edu/Rsolid/Rsolid_0.9-31.tar.gz
BuildRoot:	  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	  R-devel tex(latex) hdf5-devel 
Requires:	  R-core

%package	  devel
Summary:	  Development files for %{name}
Group:		  Development/Libraries
Requires:	  %{name} = %{version}

%description

Rsolid is an R package for normalizing fluorescent intensity data from
ABI/SOLiD second generation sequencing platform. It has been observed
that the color-calls provided by factory software contain technical
artifacts, where the proportions of colors called are extremely
variable across sequencing cycles. Under the random DNA fragmentation
assumption, these proportions should be equal across sequencing cycles
and proportional to the dinucleotide frequencies of the sample.

Rsolid implements a version of the quantile normalization algorithm
that transforms the intensity values before calling colors. Results
show that after normalization, the total number of mappable reads
increases by around 5%, and number of perfectly mapped reads increases
by 10%. Moreover a 2-5% reduction in overall error rates is observed,
with a 2-6% reduction in the rate of valid adjacent color
mis-matches. The latter is important, since it leads to a decrease in
false-positive SNP calls.

The normalization algorithm is computationally efficient. In a test we
are able to process 300 million reads in 2 hours using 10 computer
cluster nodes. The engine functions of the package are written in C
for better performance.

%description	devel

The %{name}-devel  package contains header and library files for
developing applications that use %{name}

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}



# x86/x86_64 -> Architecture dependent package
mkdir -p %{buildroot}%{_libdir}/R/library 
R CMD INSTALL %{packname} --configure-args="--with-hdf5=%{_prefix}" -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css



%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/html
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/data
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs

%files	devel
%defattr(-, root, root, -)
%{_libdir}/R/library/%{packname}/include


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.31-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Aug 23 2010 Adam Huffman <bloch@verdurin.com> - 0.9.31-1
- another upstream bugfix release

* Thu Aug  5 2010 Adam Huffman <bloch@verdurin.com> - 0.9.3-1
- New upstream bugfix release

* Fri Jul 16 2010 Adam Huffman <bloch@verdurin.com> - 0.9.2-4
- fix duplicated files entries

* Fri Jul 16 2010 Adam Huffman <bloch@verdurin.com> - 0.9.2-3
- new upstream release with licensing clarification
- specfile cleanups to address reviewer comments:
  - directory ownership
  - requires

* Mon Jul 12 2010 Adam Huffman <bloch@verdurin.com> - 0.9.2-2
- spec formatting cleanups

* Tue Jul  6 2010 Adam Huffman <bloch@verdurin.com> - 0.9.2-1
- new release with ability to disable bundled HDF5
- fix files section
- -devel subpackage

* Thu Jun 03 2010 Adam Huffman <bloch@verdurin.com> - 0.9.1-1
- initial package for Fedora
